CapyDB Docs
ReferenceAPI

Health

Service health, public status (overall and per-region), and API metadata.

GET
/healthz

Response Body

application/json

application/json

curl -X GET "https://example.com/healthz"
{  "service": "capydb-controlplane",  "status": "ok"}
{  "error": "string"}
GET
/status

Response Body

application/json

curl -X GET "https://example.com/status"
{  "components": [    {      "message": "string",      "name": "string",      "status": "operational"    }  ],  "executor_mode": "string",  "service": "capydb-controlplane",  "status": "operational",  "updated_at": "2019-08-24T14:15:22Z",  "generated_at": "2019-08-24T14:15:22Z",  "regions": [    {      "region": "eu-central",      "status": "operational"    }  ]}
GET
/v1/openapi.json

Response Body

application/json

curl -X GET "https://example.com/v1/openapi.json"
{}